/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.java.rules.checkers;/*
 *@title AbsolutePathDetectorTest
 *@description
 *@author Admin
 *@version 1.0
 *@create 2024/1/9 10:33
 */

import com.keyware.sonar.java.utils.FilesUtils;
import org.junit.jupiter.api.Test;
import org.sonar.java.checks.verifier.CheckVerifier;

public class AbsolutePathDetectorTest {


    @Test
    void detected() {
        AbsolutePathDetectorChecker rule = new AbsolutePathDetectorChecker();


        CheckVerifier.newVerifier()
                .onFile("src/test/files/AbsolutePathDetectorRule.java")
                .withCheck(rule)
                .withClassPath(FilesUtils.getClassPath("target/test-jars"))
                .verifyIssues();
    }
}
