package com.keyware.sonar;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
public class AvoidSensitiveInfoInLogsCheck {
    private static final Logger logger = LoggerFactory.getLogger(AvoidSensitiveInfoInLogsCheck.class);

    public void sensitiveOperation() {
        String password = "password";
        String token = "password";
        String secret = "password";


        logger.error(password);  // Noncompliant {{日志中包含敏感信息}}
        logger.info(token);  // Noncompliant {{日志中包含敏感信息}}
        logger.debug(secret);  // Noncompliant {{日志中包含敏感信息}}
        logger.warn(password);  // Noncompliant {{日志中包含敏感信息}}
        logger.trace(password);  // Noncompliant {{日志中包含敏感信息}}

    }
}